
Infrastructure - Story #2950

create integration tests for CN-dependent MN calls

2012-06-15 16:57 - Rob Nahf

Status: Closed Start date: 2014-10-01

Priority: Normal Due date: 2014-11-20

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

MN api methods that require calls to the CN:

getLogRecords

listObjects (really?)

synchronizationFailed

"Access control for this method MUST be configured to allow calling by Coordinating Nodes and MAY be configured to allow more

general access."

getReplica

"If the object being retrieved is restricted access, then a Tier 2 or higher Member Node MUST make a call to

CNReplication.isNodeAuthorized() to verify that the Subject of the caller is authorized to retrieve the content.

systemMetadataChanged

"Access control for this method MUST be configured to allow calling by Coordinating Nodes."

create

update

"The pid must not exist in the DataONE system or should have been previously reserved using CNCore.reserveIdentifier()."

replicate

"Access control for this method MUST be configured to allow calling by Coordinating Nodes."

History

#1 - 2012-06-15 17:11 - Rob Nahf

- Category set to d1_integration

- Assignee set to Rob Nahf

MN api methods that require calls to the CN:

getLogRecords

listObjects (really?)

synchronizationFailed

"Access control for this method MUST be configured to allow calling by Coordinating Nodes and MAY be configured to allow more general access."

getReplica

"If the object being retrieved is restricted access, then a Tier 2 or higher Member Node MUST make a call to CNReplication.isNodeAuthorized() to

verify that the Subject of the caller is authorized to retrieve the content.

systemMetadataChanged

"Access control for this method MUST be configured to allow calling by Coordinating Nodes." 

create

update

"The pid must not exist in the DataONE system or should have been previously reserved using CNCore.reserveIdentifier()."

replicate

"Access control for this method MUST be configured to allow calling by Coordinating Nodes."
#2 - 2012-06-22 17:51 - Rob Nahf

- Position set to 2

- Position deleted (4)

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

#3 - 2012-06-28 17:42 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 70

#4 - 2012-07-05 21:59 - Rob Nahf

- Position deleted (8)

- Position set to 1

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#5 - 2012-07-16 16:13 - Rob Nahf

- Position deleted (5)

- Position set to 1

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

#6 - 2012-08-31 03:04 - Chris Jones

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#7 - 2012-10-04 21:46 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Start date set to 2012-09-23

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

- Due date set to 2012-10-06

#8 - 2012-10-05 15:24 - Rob Nahf

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- Due date changed from 2012-10-06 to 2012-10-27

#9 - 2012-10-24 18:06 - Rob Nahf

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#10 - 2012-12-12 18:58 - Rob Nahf

- Start date deleted (2012-09-23)

- Target version deleted (Sprint-2012.44-Block.6.2)

- Due date deleted (2012-11-10)

#11 - 2014-10-01 22:08 - Dave Vieglais

- Start date set to 2014-10-01

- Target version set to Maintenance Backlog

- Due date set to 2014-10-01

#12 - 2014-11-20 03:15 - Rob Nahf

- Subject changed from create integration tests for cn-denpendent MN calls to create integration tests for CN-dependent MN calls

- Description updated
- Due date changed from 2014-10-01 to 2014-11-20

#13 - 2018-01-17 20:28 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
